<?php
session_start();
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	echo 'session';
	exit;
}

require_once("../includes/MySQL.php");
if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$codigo=$_POST['txtideadtivo']; //codigo del regidtro

	$codadtivo=$_POST['txtcc'];
	$ap1adtivo=$_POST['txtape1'];
	$ap2adtivo=$_POST['txtape2'];
	$no1adtivo=$_POST['txtno1'];
	$no2adtivo=$_POST['txtno2'];
	$gener=$_POST['txtgenero'];
	$carg=$_POST['txtcargo'];

	switch($acction){
		case 'del':
			$sql="delete from `administrativos`  where ide_adtivo='$codigo'";
		break;
		case 'edit';
			$sql="UPDATE administrativos SET cod_adtivo = '$codadtivo', ape1_adtivo = '$ap1adtivo', ape2_adtivo = '$ap2adtivo', no1_adtivo = '$no1adtivo', no2_adtivo = '$no2adtivo', genero = '$gener', cargo = '$carg' WHERE ide_adtivo = '$codigo'";
			
		break;
		case 'add':
			$sql="INSERT INTO administrativos (cod_adtivo, ape1_adtivo, ape2_adtivo, no1_adtivo, no2_adtivo, genero, cargo)
VALUES ('$codadtivo', '$ap1adtivo', '$ap2adtivo', '$no1adtivo', '$no2adtivo', '$gener', '$carg')";
		break;
		default:
			$sql="";
	}

	if($sql!=''){
		$academia->instruccion($sql);
		echo $academia->extraer_error();
	}	
}
$academia->cerrar();
?>